using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Enums
{
    ///// <summary>
    ///// 安全生产费用使用记录状态
    ///// </summary>
    //public enum TISafePdtCostRecordStatus
    //{
    //    草稿 = 0,
    //    审阅中 = 1,
    //    审阅完成 = 2,
    //}

    /// <summary>
    /// 安全生产费用使用记录状态
    /// </summary>
    public enum TIProjectResult
    {

        /// <summary>
        /// 通过 10
        /// </summary>
        [Description("通过")]
        Through = 10,

        /// <summary>
        /// 不通过 20
        /// </summary>
        [Description("不通过")]
        NotThrough = 20,
    }

    public enum TIInsuranceTypeEnum
    {
        /// <summary>
        /// 安全生产责任险 10
        /// </summary>
        [Description("安全生产责任险")]
        SafeProdIns = 10,

        /// <summary>
        /// 工伤保险 20
        /// </summary>
        [Description("工伤保险")]
        InductrialIns = 20,

        /// <summary>
        /// 养老保险 30
        /// </summary>
        [Description("养老保险")]
        EndowmentIns = 30,

        /// <summary>
        /// 医疗保险 40
        /// </summary>
        [Description("医疗保险")]
        MedicalIns = 40,

        /// <summary>
        /// 失业保险 50
        /// </summary>
        [Description("失业保险")]
        JobLoseIns = 50,

        /// <summary>
        /// 生育保险 60
        /// </summary>
        [Description("生育保险")]
        BirthIns = 60,

        /// <summary>
        /// 团体意外险 70
        /// </summary>
        [Description("团体意外险")]
        GroupIns = 70
    }

    //public enum TIInsuranceRecordStatusEnum
    //{
    //    草稿 = 0,
    //    完成 = 1,
    //}

    //public enum TIInsuranceClaimRecordStatusEnum
    //{
    //    草稿 = 0,
    //    完成 = 1,
    //}

    //public enum TIInHospitalEnum
    //{
    //    否 = 0,
    //    是 = 1,
    //}

    public enum TIInsuranceStatusEnum
    {
        /// <summary>
        /// 正常 10
        /// </summary>
        [Description("正常")]
        normal =10,

        /// <summary>
        /// 停缴 20
        /// </summary>
        [Description("停缴")]
        StopPaying = 20,
    }


    public enum TIDisabilityLevelEnum
    {
        ///// <summary>
        ///// 无 0
        ///// </summary>
        //[Description("无")]
        //None = 0,

        /// <summary>
        /// 一级 1
        /// </summary>
        [Description("一级")]
        One = 1,


        /// <summary>
        /// 二级 2
        /// </summary>
        [Description("二级")]
        Two = 2,

        /// <summary>
        /// 三级 3
        /// </summary>
        [Description("三级")]
        Three = 3,

        /// <summary>
        /// 四级 4
        /// </summary>
        [Description("四级")]
        Four = 4,

        /// <summary>
        /// 五级 5
        /// </summary>
        [Description("五级")]
        Five = 5,

        /// <summary>
        /// 六级 6
        /// </summary>
        [Description("六级")]
        Six = 6,

        /// <summary>
        /// 七级 7
        /// </summary>
        [Description("七级")]
        Seven = 7,

        /// <summary>
        /// 八级 8
        /// </summary>
        [Description("八级")]
        Eight = 8,

        /// <summary>
        /// 九级 9
        /// </summary>
        [Description("九级")]
        Nine = 9,

        /// <summary>
        /// 十级 10
        /// </summary>
        [Description("十级")]
        Ten = 10,
    }
}
